编译的时候提示找不到gulp

用旧版的时候没有问题,更新到2.6和2.5的时候就出现了这个。
安装的路径和旧版都是保持一致的,gulp文件夹也都在那里,要怎么操作,全局安装gulp好像是不解决问题,主要是compile.js里的路径不知道哪里出了问题,我不知道具体要改哪里,求指点
UC截图20200404234406.png

---------4.7更新----------
我分别用两个版本的引擎新建了3D物理项目,项目文件打包在下面
 
已邀请:

icecia

赞同来自:

现在的版本是2.5.0

icecia

赞同来自:

这是一些额外信息
UC截图20200405125045.png

Laya_Aaron

赞同来自:

从很旧的版本升级上来的?切换类库没有,切类库会自动生成新引擎需要的各种配置

kylin

赞同来自:

把node的版本降到10试试

icecia

赞同来自:

这个是2.5.0没问题,2.6.0beta出问题的那台电脑
这是2.5.0的f6编译界面,正常编译
2.5_.0_.png

这是2.6.0beta的f6编译界面,找不到gulp
2.6_.0beta_.png

这是全局安装的信息
npm-g.png

这是node版本
node-v.png

 

kylin

赞同来自:

将两个项目的.laya文件夹都传上来吧,我们看一下

要回复问题请先

商务合作
商务合作